MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028445Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-02-07 15:192017-09-29 16:24
Reporterika 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028445: Data Exchange - Opening specific STEP file leads to application crash
DescriptionFix for current version from issue #0028256.
Steps To Reproducebugs step bug28256
TagsNo tags attached.
Test case numberbugs step bug28256
Attached Files

- Relationships

-  Notes
(0063496)
git (administrator)
2017-02-07 15:22

Branch CR28445 has been created by ika.

SHA-1: 625d04791c8b823f6afe7618f75567411ae716c6


Detailed log of new commits:

Author: ika
Date: Tue Feb 7 15:20:29 2017 +0300

    0028445: Data Exchange - Opening specific STEP file leads to application crash
    
    Add check for null vertex during translation from STEP.
(0063497)
ika (developer)
2017-02-07 15:23

Dear GKA,

could you please review branch CR28445?
(0063498)
gka (developer)
2017-02-07 15:39

Branch CR28445 is ready to be tested
(0063724)
apv (tester)
2017-02-09 12:06
edited on: 2017-02-09 12:06

Dear BugMaster,

Branch CR28445 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 625d04791c8b823f6afe7618f75567411ae716c6

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1185

Regressions/Differences:
Not detected

Testing cases:
bugs step bug28256 - OK
http://occt-tests/CR28445-master-OCCT/Debian70-64/bugs/step/bug28256.html [^]
http://occt-tests/CR28445-master-OCCT/Windows-64-VC10/bugs/step/bug28256.html [^]

Testing on Linux:
Total MEMORY difference: 92192988 / 91292223 [+0.99%]
Total CPU difference: 19978.720000000016 / 19662.570000000327 [+1.61%]

Testing on Windows:
Total MEMORY difference: 57125015 / 57124391 [+0.00%]
Total CPU difference: 18278.44996879845 / 18512.045866198645 [-1.26%]

(0064495)
git (administrator)
2017-03-20 14:35

Branch CR28445 has been deleted by inv.

SHA-1: 625d04791c8b823f6afe7618f75567411ae716c6

- Related Changesets
occt: master 9f984417
Timestamp: 2017-02-07 12:20:29
Author: ika
Committer: apn
Details ] Diff ]
0028445: Data Exchange - Opening specific STEP file leads to application crash

Add check for null vertex during translation from STEP.
mod - src/StepToTopoDS/StepToTopoDS_TranslateVertex.cxx Diff ] File ]
mod - tests/bugs/step/bug26451 Diff ] File ]
add - tests/bugs/step/bug28256 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-02-07 15:19 ika New Issue
2017-02-07 15:19 ika Assigned To => ika
2017-02-07 15:19 ika Relationship added child of 0028256
2017-02-07 15:22 git Note Added: 0063496
2017-02-07 15:23 ika Note Added: 0063497
2017-02-07 15:23 ika Assigned To ika => gka
2017-02-07 15:23 ika Status new => resolved
2017-02-07 15:23 ika Steps to Reproduce Updated View Revisions
2017-02-07 15:39 gka Note Added: 0063498
2017-02-07 15:39 gka Assigned To gka => bugmaster
2017-02-07 15:39 gka Status resolved => reviewed
2017-02-07 16:06 apv Assigned To bugmaster => apv
2017-02-09 11:29 apv Test case number => bugs step bug28256
2017-02-09 12:06 apv Note Added: 0063724
2017-02-09 12:06 apv Assigned To apv => bugmaster
2017-02-09 12:06 apv Status reviewed => tested
2017-02-09 12:06 apv Note Edited: 0063724 View Revisions
2017-02-10 14:33 apn Changeset attached => occt master 9f984417
2017-02-10 14:33 apn Assigned To bugmaster => apn
2017-02-10 14:33 apn Status tested => verified
2017-02-10 14:33 apn Resolution open => fixed
2017-03-20 14:35 git Note Added: 0064495
2017-09-29 16:20 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker